use serde::Deserialize;

#[derive(Deserialize)]
pub struct GameVersion {
    pub version: String,
    pub version_type: String,
    pub date: String,
    pub major: bool,
}

pub async fn get_game_versions() -> Result<Vec<GameVersion>, reqwest::Error> {
    let response = reqwest::get("https://api.modrinth.com/v2/tag/game_version").await?;

    response.json::<Vec<GameVersion>>().await
}
